> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yorlet.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all tasks



## OpenAPI

````yaml openapi-core.json GET /v1/tasks
openapi: 3.1.0
info:
  title: Yorlet Core API
  description: Core platform APIs including buildings, customers, units, and tasks.
  version: 1.0.0
servers:
  - url: https://api.yorlet.com
    description: Production
  - url: https://api.yorlet.io
    description: Sandbox
security: []
paths:
  /v1/tasks:
    get:
      tags:
        - Tasks
      summary: List all tasks
      operationId: tasks_list
      responses:
        '200':
          description: A object with a data property that contains an array of tasks.
          content:
            application/json:
              schema:
                type: object
                properties:
                  count:
                    type: number
                    description: Total number of items in the list.
                    example: 1
                  has_more:
                    type: boolean
                    description: Whether more items are available.
                    example: false
                  object:
                    type: string
                    enum:
                      - list
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          description: Unique identifier for the object.
                        created:
                          type: number
                          description: >-
                            Time at which the object was created. Measured in
                            seconds since the Unix epoch.
                        account:
                          type: string
                          description: >-
                            The account that the object belongs to. Only
                            returned if the request is made with a valid
                            Yorlet-Context header.
                        deleted:
                          type: boolean
                          default: false
                          description: Only returned if the object has been deleted.
                        object:
                          type: string
                          enum:
                            - task
                        title:
                          type: string
                          description: The title of the task.
                        description:
                          type: string
                          description: The description of the task.
                        due_date:
                          type: number
                          description: The due date of the task as a unix timestamp.
                        priority:
                          type: number
                          minimum: 0
                          maximum: 3
                          description: >-
                            The priority of the task, where 0 is low and 3 is
                            urgent.
                        important:
                          type: boolean
                          default: false
                          description: Whether the task is marked as important.
                        status:
                          type: string
                          enum:
                            - to_do
                            - in_progress
                            - done
                          description: The status of the task.
                        checklist_items:
                          type: object
                          additionalProperties:
                            type: object
                            properties:
                              text:
                                type: string
                                description: The text of the checklist item.
                              completed:
                                type: boolean
                                description: Whether the checklist item is completed.
                            required:
                              - text
                              - completed
                          default: {}
                          description: Checklist items attached to the task, keyed by ID.
                        assignee:
                          anyOf:
                            - type: object
                              properties:
                                id:
                                  type: string
                                  description: Unique identifier for the object.
                                created:
                                  type: number
                                  description: >-
                                    Time at which the object was created.
                                    Measured in seconds since the Unix epoch.
                                account:
                                  type: string
                                  description: >-
                                    The account that the object belongs to. Only
                                    returned if the request is made with a valid
                                    Yorlet-Context header.
                                deleted:
                                  type: boolean
                                  default: false
                                  description: >-
                                    Only returned if the object has been
                                    deleted.
                                object:
                                  type: string
                                  enum:
                                    - user
                                email:
                                  type: string
                                name:
                                  type: string
                              required:
                                - id
                                - created
                                - object
                                - email
                                - name
                            - type: string
                          description: The assignee of this task.
                      required:
                        - id
                        - created
                        - object
                        - title
                        - description
                        - due_date
                        - priority
                        - status
                        - assignee
                required:
                  - count
                  - has_more
                  - object
                  - data
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: API Key authentication. Use "Bearer YOUR_API_KEY".

````